version: '3'

services:
  mariadb:
    image: docker.io/bitnami/mariadb:10.6
    environment:
      - MARIADB_USER=${DB_USERNAME}
      - MARIADB_DATABASE=${DB_DATABASE}
      - MARIADB_ROOT_PASSWORD=${DB_PASSWORD}
      - MARIADB_PASSWORD=${DB_PASSWORD}
  frontend:
    build: ./
    volumes:
      - ./:/app
      - /app/node_modules
    ports:
      - "3001:3000"
